Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.xml
Class AbstractReceiver

    java.lang.Object
      com.servingxml.util.xml.AbstractReceiver

All Implemented Interfaces:
  Receiver

Direct Known Subclasses:
  AbstractComponentBuilder, ComponentTableBuilder, ConfigurationComponentBuilder, ServiceComponentBuilder

    public abstract class AbstractReceiver

extends java.lang.Object
implements Receiver

Field Summary

Fields inherited from interface com.servingxml.util.xml.Receiver
`UNDEFINED_SYMBOL`

Constructor Summary
`AbstractReceiver(Name name, Name[] attributeNames, Receiver parent)`
`AbstractReceiver(Name name, Receiver parent)`

Method Summary
`void` | `bind(ReceiverContext context, Receiver[] receivers)`
`void` | `characters(ReceiverContext context, char[] ch, int start, int length)`
`void` | `childReceived(int symbol)`
`void` | `endElement(ReceiverContext context)`
`java.lang.String` | `getAttributeValue(int i)`
`Name` | `getName()`
`int` | `getSymbol()`
`protected void` | `selfReceived(ReceiverContext context)`
`void` | `startElement(ReceiverContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.util.xml.Receiver
`bind`

Constructor Detail

### AbstractReceiver

    public AbstractReceiver(Name name,
                            Receiver parent)

### AbstractReceiver

    public AbstractReceiver(Name name,
                            Name[] attributeNames,
                            Receiver parent)

Method Detail

### getSymbol

    public int getSymbol()

  Specified by:
    `getSymbol` in interface `Receiver`

### bind

    public void bind(ReceiverContext context,
                     Receiver[] receivers)

### startElement

    public void startElement(ReceiverContext context)

  Specified by:
    `startElement` in interface `Receiver`

### characters

    public void characters(ReceiverContext context,
                           char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `Receiver`

### endElement

    public void endElement(ReceiverContext context)

  Specified by:
    `endElement` in interface `Receiver`

### getName

    public Name getName()

  Specified by:
    `getName` in interface `Receiver`

### childReceived

    public void childReceived(int symbol)

  Specified by:
    `childReceived` in interface `Receiver`

### selfReceived

    protected void selfReceived(ReceiverContext context)

### getAttributeValue

    public java.lang.String getAttributeValue(int i)

  Specified by:
    `getAttributeValue` in interface `Receiver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD